Bug 14937 - BETA5 full install: runs "amandaidx" server by default!
Summary: BETA5 full install: runs "amandaidx" server by default!
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: amanda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords: Security
: 15444 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-31 23:40 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-31 23:48:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2000-07-31 23:40:06 UTC
This violates the policy of trying not to expand upon what RH6.2 listens on
by default :-)

Also note that
1) This service runs as user operator, group disk. Group disk has write
access to all the block devices and as such is equivalent to root. Hmm, a
relatively unaudited daemon running as root..? :-)

2) The service as shipped in BETA5 is knackered anyway.
"telnet localhost amandaidx" and enjoy watching tcpd and syslogd in an
infinite CPU consuming loop logging junk to your disk.

Comment 1 Chris Evans 2000-07-31 23:48:04 UTC
Forgot to mention.. once you cause problem 2) to occur, you have to manually
stop xinetd before killing the rogue amanda process restores sanity. Nasty.

Comment 2 Bill Nottingham 2000-08-01 16:28:38 UTC
amandaidx is turned off in amanda-<whatever version>-17.

Comment 3 Bill Nottingham 2000-08-05 03:28:38 UTC
*** Bug 15444 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.